/*File Name: Position.cpp
  Author: Betti Österholz ; Date: 06.08.2003
  System: C++
  
  This is implementation of the Basisclass of all Vector objects

*/


#include "Position.h"
//---------------------------------------------------------------------------


   //Construktors:
Position::Position():Vector(2)
//standart constructor
//makes a blank object for x,Y Positions, it has 2 components
{}


Position::Position(unsigned int noc):Vector(noc)
//parameter constructor
//makes a Position vector object with noc components all values set to 0
//pre: the number of components to produce
{}

Position::Position(const Position& pos):Vector(pos)
//copy constructor
//makes a Position vector object with the same values as the given Position
//vector
//pre: the Position vector to copy
{}


unsigned long Position::getTimeNeed() const
//to get a idea how long the object need to evaluate
//post: a number for how much time the object need to evaluate
{return getNumberOfComponents();}

Position* Position::copy()
//copy this object(means all, even the objects in it)
//post: a pointer to the copy of this object
{
return (new Position(*this));
}
	
string Position::classnameOf() const
//returns the classname of this object as a string
//post: the classname of this object as a string
{return "Position";}





